"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantStudyStats(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_0 import opencb as opencb_1_3_0

        return {
            "cohortStats": opencb_1_3_0.VariantSetStats,
            "sampleStats": opencb_1_3_0.VariantSetStats,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_0 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.variant.metadata.VariantSetStats": opencb_1_3_0.VariantSetStats,
            "org.opencb.biodata.models.variant.metadata.VariantSetStats": opencb_1_3_0.VariantSetStats,
            "org.opencb.biodata.models.variant.metadata.VariantStudyStats": opencb_1_3_0.VariantStudyStats,
        }

    __slots__ = [
        "cohortStats",
        "sampleStats",
    ]

    def __init__(
        self,
        cohortStats=dict,
        sampleStats=dict,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.VariantStudyStats model.

        :param cohortStats:
        :type cohortStats: dict[str, VariantSetStats]
        :param sampleStats:
        :type sampleStats: dict[str, VariantSetStats]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
